POSTgetClusterNodes

Returns information about all the nodes participating in the cluster

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

featureSetinteger (uint32)

The unique identifier of the node's feature set

gossipstring

Gossip network address for the node

pubkeystring

Node public key, as base-58 encoded string

rpcstring

JSON RPC network address for the node, or null if the JSON RPC service is not enabled

shredVersioninteger (uint16)

The shred version the node has been configured to use

tpustring

TPU network address for the node

versionstring

The software version of the node, or null if the version information is not available

X-API-KEY
RequestCU20
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getClusterNodes"
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": [
    {
      "featureSet": 3073396398,
      "gossip": "10.239.6.48:8001",
      "pubkey": "9QzsJf7LPLj8GkXbYT3LFDKqsj2hHG7TA3xinJHu8epQ",
      "rpc": "10.239.6.48:8899",
      "shredVersion": 2405,
      "tpu": "10.239.6.48:8856",
      "version": "1.0.0 c375ce1f"
    }
  ],
  "id": 1
}